local keywordHandler = KeywordHandler:new()
local npcHandler = NpcHandler:new(keywordHandler)
local outfitt = 74258
local iteem = 2159
local quatidade = 50
NpcSystem.parseParameters(npcHandler)
local talkState = {}
function onCreatureAppear(cid) npcHandler:onCreatureAppear(cid) end
function onCreatureDisappear(cid) npcHandler:onCreatureDisappear(cid) end
function onCreatureSay(cid, type, msg) npcHandler:onCreatureSay(cid, type, msg) end
function onThink() npcHandler:onThink() end
function creatureSayCallback(cid, type, msg)
if(not npcHandler:isFocused(cid)) then
return false
end
local talkUser = NPCHANDLER_CONVBEHAVIOR == CONVERSATION_DEFAULT
if(msgcontains(msg, 'outfit')) then
selfSay('Eu vendo uma roupa secreta que poucos tem!! voce deseja compra-la? eu cobro 50 Scarab Coins') -- Edite Sua Menssagem para quando o player falar *OUTFIT*
talkState[talkUser] = 1
elseif(msgcontains(msg, 'yes') and talkState[talkUser] == 1) then
if (getPlayerStorageValue(cid,outfitt) > 0) then
selfSay('Voce ja tem esta roupa') -- Eite a menssagem , que se o player tentar trocar de novo , o NPC avisar que ele já fez essa missao
else
if(doPlayerRemoveItem(cid, 2159, 50)) then 
setPlayerStorageValue(cid,outfitt,1)
selfSay('Muito obrigado, voce ganhou a Outfit Hero!') -- Edite a menssagem de agradescimento
else
selfSay('Você nao tem 50 Scarab Coins!') -- Edite a menssagem que o player nao tem x item
end
end
return true
end
end
npcHandler:setCallback(CALLBACK_MESSAGE_DEFAULT, creatureSayCallback)
npcHandler:addModule(FocusModule:new())